Bug 70833 - /bin/chmod o=u is broken (omits write bit)
/bin/chmod o=u is broken (omits write bit)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-05 18:31 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-05 18:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-05 18:31:38 EDT
Description of Problem:

    /bin/chmod o=u is broken (omits write bit) see below:

Version-Release number of selected component (if applicable):

    fileutils-4.1-10

How Reproducible:

    always

Steps to Reproduce:

    $ umask 0
    $ umask
    0000
    $ touch foo
    $ /bin/chmod 700 foo
    $ ls -l foo
    -rwx------    1 corey    wheel           0 Aug  5 14:24 foo
    $ /bin/chmod o=u foo

Actual Results:

    $ ls -l foo
    -rwx---r-x    1 corey    wheel           0 Aug  5 14:24 foo

Expected Results:

    $ ls -l foo
    -rwx---rwx    1 corey    wheel           0 Aug  5 14:24 foo


Additional Information:

    I'm told this is broken in 7.2 as well.
    Old chmod binary from 6.x works right under 7.3
Comment 1 Mike McLean 2002-08-06 11:30:23 EDT
This bug appears to be fixed in fileutils-4.1.9-4.
CLOSED->RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.